import { Flex } from 'antd-mobile'
import styles from './AnchorLevel.less';


function AnchorLevel(props) {

  //主播等级图片
 const levelUrl = (level) => {
    let result = ''
    if (level < 11) {
      result = require('@/assets/level1.png')
    } else if (level > 10 && level < 21) {
      result = require('@/assets/level2.png')
    } else if (level > 20 && level < 31) {
      result = require('@/assets/level3.png')
    } else if (level > 30 && level < 41) {
      result = require('@/assets/level4.png')
    } else if (level > 40 && level < 51) {
      result = require('@/assets/level5.png')
    }
    return result
  }

  return(
    <div className={styles.level}> 
      <img className={styles['img-level']} src={levelUrl(props.level || 1)}/>
      <div className={styles.num}>{props.level}</div>
    </div>
  )
}

export default AnchorLevel